Vagrant fails to install MySQL Server

We use Puphpet to generate the configuration files for our vagrant boxes.

Since 2 days there is an issue with the Vagrant-box “puphpet/ubuntu1404-x64” when it comes to the step were MySQL must be installed.

The MySQL package was updated in the repository to a newer version.

At this moment, there are 2 easy workarounds:

  1. Downgrade the MySQL server to version 5.5
  2. Work with MariaDB 10 to replace MySQL

Until now, there is no real fix for it.

Which workaround do you prefer? Any of the above of another?